import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ActivityCardComponent } from './activity-card.component';
import {MatIconModule} from '@angular/material/icon';
import {ActivitiesService} from '../activities.service';

describe('ActivityCardComponent', () => {
  let component: ActivityCardComponent;
  let fixture: ComponentFixture<ActivityCardComponent>;

  let activitiesServiceStub: ActivitiesService;

  beforeEach(async () => {
    activitiesServiceStub = {} as any;
    await TestBed.configureTestingModule({
      declarations: [ ActivityCardComponent ], imports: [MatIconModule],
      providers: [
        {provide: ActivitiesService, useValue: activitiesServiceStub},
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ActivityCardComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
