import {Component, OnInit, ViewChild} from '@angular/core';
import {ModalComponent} from '../../../modals/modal/modal.component';

@Component({
  selector: 'app-add-summary-dialog',
  templateUrl: './add-summary-dialog.component.html',
  styleUrls: ['./add-summary-dialog.component.scss']
})
export class AddSummaryDialogComponent {
  @ViewChild('modal') public modalComponent: ModalComponent | undefined;
  constructor() { }

  setVisible(isVisible: boolean): void {
    this.modalComponent?.setVisible?.(isVisible);
  }

  isVisible(): boolean {
    return !!this.modalComponent?.isModalVisible;
  }
}
