import { Injectable } from '@angular/core';
import {
  ObservationTable,
} from '@nspop/gm-web-facade-api';
import {Observable} from 'rxjs';
import {ObservationService} from '../../api/observation.service';

@Injectable({
  providedIn: 'root'
})
export class ClinicalObservationsServiceService {
  constructor(private observationService: ObservationService) {
  }
  public observationGroups: Observable<ObservationTable | undefined> =
    this.observationService.clinicalObservationTable$;
}
