import { TestBed } from '@angular/core/testing';

import { MeasurementService } from './measurement.service';
import {of} from 'rxjs';
import {DataCardService} from '../api/data-card.service';

describe('MeasurementService', () => {
  let service: MeasurementService;

  let dataCardServiceStub: DataCardService;

  beforeEach(() => {
    dataCardServiceStub = {
      activeDataCard$: of({})
    } as any;

    TestBed.configureTestingModule({
      providers: [
        { provide: DataCardService, useValue: dataCardServiceStub }
      ]
    });
    service = TestBed.inject(MeasurementService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
